summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Kahle <tomka@gentoo.org>2016-10-26 09:25:49 +0200
committerThomas Kahle <tomka@gentoo.org>2016-10-26 09:26:32 +0200
commit89ce46c4856fb24f770d704e2537fc374726bfe4 (patch)
treeade955788c0034010e4dc590733d8892dadc2eea /sci-mathematics/normaliz
parentprofiles: add evolution-ews to Gnome mask (diff)
downloadgentoo-89ce46c4856fb24f770d704e2537fc374726bfe4.tar.gz
gentoo-89ce46c4856fb24f770d704e2537fc374726bfe4.tar.bz2
gentoo-89ce46c4856fb24f770d704e2537fc374726bfe4.zip
sci-mathematics/normaliz: bump to 3.1.3
Package-Manager: portage-2.3.0
Diffstat (limited to 'sci-mathematics/normaliz')
-rw-r--r--sci-mathematics/normaliz/Manifest1
-rw-r--r--sci-mathematics/normaliz/normaliz-3.1.3.ebuild65
2 files changed, 66 insertions, 0 deletions
diff --git a/sci-mathematics/normaliz/Manifest b/sci-mathematics/normaliz/Manifest
index de4b6bfbe20..aea3879734d 100644
--- a/sci-mathematics/normaliz/Manifest
+++ b/sci-mathematics/normaliz/Manifest
@@ -1,3 +1,4 @@
DIST Normaliz2.12.2.zip 6432949 SHA256 230772425b3c9964b9e144c0919c75fac0ec95260a1943c10a8a94eea9d7273e SHA512 fd42071cb87b8efbaf9af0885c173a0583e0b38dedb8821a83225eeebb44060a7b5748c44adfc4faeac20c3a1706071bcb9883cb4447e4a1ff3aeb770bd22038 WHIRLPOOL cb2974e02eac6e6d51c234214a719a24ad2e12d1400f0a6f8aee3e7a4ba3aa2ba053beec65c9032f42726e4dd4f1866820bb5b7b96f7c3d34cd132fcdbdb91af
DIST Normaliz3.1.1.zip 5839858 SHA256 192e60d3671d4516c4904b166dec96c5b32c63c0fbaae15d067e25b8d9b6119e SHA512 efa75844542df45d3cff6b6f877f2d6132905b722468b3df5a89468798bf66cbaf33f359000fb462f4d24fb3414f4c293a8ba84112a6712862dd593bb5f314ba WHIRLPOOL 5f9b503899d2d7a8c0367d516b709e45e8d034a70c06a16bbfd680c7c2b070fcc3f686c37473c73ab96c4b99b669e767817190d4882fce2085b47a7bf57de51c
DIST v3.1.2.tar.gz 3075459 SHA256 aa49b0a013014e79d521fc3e3950b2d7a1da44724fe1958bdaf620846cee4d2b SHA512 b903e8391e661685b840ecf85e5a159a274d6106b0151987d853e896fda44080546ccbafafdba253e05f0ce3c7810c90b802e7b9b9e546401deb1ef4641b283d WHIRLPOOL 2b27bd242799500840b9693330fb3d196fd7887877b404fcd3d57bec6b04297fbd03b4688c91bc852e8b173c9d42518dc4688a65631fb2f90a38034fbe87ce8e
+DIST v3.1.3.tar.gz 3075453 SHA256 f18f037395596219ee67cf40945903f990a6091fd3eb5dc67120d582e889ae34 SHA512 c7fb1620e758dc59de88f0d7c55f50db0f67be772a00af27205e478f30c3836b7cf012a16a8adfdee3f0367d3adb4e3f887dc7d03793a7ca1601968ddb1946ce WHIRLPOOL 7cc3534b59cf4d6af5c1760038e29171b16577b7e5ef8f76da4504cb5471e147948b0711e5deea059f8c610de87d638208e2c2718cc07fb684440677d9f1bea3
diff --git a/sci-mathematics/normaliz/normaliz-3.1.3.ebuild b/sci-mathematics/normaliz/normaliz-3.1.3.ebuild
new file mode 100644
index 00000000000..aa74f1f927d
--- /dev/null
+++ b/sci-mathematics/normaliz/normaliz-3.1.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs versionator
+
+MYP="Normaliz-${PV}"
+
+DESCRIPTION="Tool for computations in affine monoids and more"
+HOMEPAGE="www.mathematik.uni-osnabrueck.de/normaliz/"
+SRC_URI="https://github.com/Normaliz/Normaliz/archive/v${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc extras openmp"
+
+RDEPEND="
+ dev-libs/gmp[cxx]
+"
+DEPEND="${RDEPEND}
+ doc? ( app-text/texlive )
+ dev-libs/boost"
+# Only a boost header is needed -> not RDEPEND
+
+S=${WORKDIR}/${MYP}
+
+src_prepare () {
+ ./bootstrap.sh || die
+ default
+}
+
+src_configure () {
+ if use openmp && ! tc-has-openmp ; then
+ die "You requested openmp, but your toolchain does not support it."
+ fi
+ econf $(use_enable openmp)
+}
+
+src_install() {
+ default
+ if use doc ; then
+ pushd doc
+ pdflatex Normaliz || die
+ pdflatex Normaliz || die
+ dodoc "Normaliz.pdf"
+ pdflatex NmzIntegrate || die
+ pdflatex NmzIntegrate || die
+ dodoc "NmzIntegrate.pdf"
+ popd
+ fi
+ if use extras; then
+ elog "You have selected to install extras which consist of Macaulay2"
+ elog "and Singular packages. These have been installed into "
+ elog "/usr/share/${PN}, and cannot be used without additional setup. Please refer"
+ elog "to the homepages of the respective projects for additional information."
+ elog "Note however, Gentoo's versions of Singular and Macaulay2 bring their own"
+ elog "copies of these interface packages. Usually you don't need normaliz's versions."
+ insinto "/usr/share/${PN}"
+ doins Singular/normaliz.lib
+ doins Macaulay2/Normaliz.m2
+ fi
+}